*** a/src/backend/utils/misc/guc.c
--- b/src/backend/utils/misc/guc.c
***************
*** 557,562 **** const char *const config_group_names[] =
--- 557,564 ----
  	gettext_noop("Write-Ahead Log / Archiving"),
  	/* REPLICATION */
  	gettext_noop("Replication"),
+ 	/* REPLICATION_SENDING */
+ 	gettext_noop("Replication / Sending Server(s)"),
  	/* REPLICATION_MASTER */
  	gettext_noop("Replication / Master Server"),
  	/* REPLICATION_STANDBY */
***************
*** 1918,1924 **** static struct config_int ConfigureNamesInt[] =
  	},
  
  	{
! 		{"wal_keep_segments", PGC_SIGHUP, REPLICATION_MASTER,
  			gettext_noop("Sets the number of WAL files held for standby servers."),
  			NULL
  		},
--- 1920,1926 ----
  	},
  
  	{
! 		{"wal_keep_segments", PGC_SIGHUP, REPLICATION_SENDING,
  			gettext_noop("Sets the number of WAL files held for standby servers."),
  			NULL
  		},
***************
*** 1986,1992 **** static struct config_int ConfigureNamesInt[] =
  
  	{
  		/* see max_connections */
! 		{"max_wal_senders", PGC_POSTMASTER, REPLICATION_MASTER,
  			gettext_noop("Sets the maximum number of simultaneously running WAL sender processes."),
  			NULL
  		},
--- 1988,1994 ----
  
  	{
  		/* see max_connections */
! 		{"max_wal_senders", PGC_POSTMASTER, REPLICATION_SENDING,
  			gettext_noop("Sets the maximum number of simultaneously running WAL sender processes."),
  			NULL
  		},
***************
*** 1996,2002 **** static struct config_int ConfigureNamesInt[] =
  	},
  
  	{
! 		{"wal_sender_delay", PGC_SIGHUP, REPLICATION_MASTER,
  			gettext_noop("WAL sender sleep time between WAL replications."),
  			NULL,
  			GUC_UNIT_MS
--- 1998,2004 ----
  	},
  
  	{
! 		{"wal_sender_delay", PGC_SIGHUP, REPLICATION_SENDING,
  			gettext_noop("WAL sender sleep time between WAL replications."),
  			NULL,
  			GUC_UNIT_MS
***************
*** 2007,2013 **** static struct config_int ConfigureNamesInt[] =
  	},
  
  	{
! 		{"replication_timeout", PGC_SIGHUP, REPLICATION_MASTER,
  			gettext_noop("Sets the maximum time to wait for WAL replication."),
  			NULL,
  			GUC_UNIT_MS
--- 2009,2015 ----
  	},
  
  	{
! 		{"replication_timeout", PGC_SIGHUP, REPLICATION_SENDING,
  			gettext_noop("Sets the maximum time to wait for WAL replication."),
  			NULL,
  			GUC_UNIT_MS
*** a/src/backend/utils/misc/postgresql.conf.sample
--- b/src/backend/utils/misc/postgresql.conf.sample
***************
*** 194,212 ****
  # REPLICATION
  #------------------------------------------------------------------------------
  
! # - Master Server -
  
! # These settings are ignored on a standby server
  
  #max_wal_senders = 0		# max number of walsender processes
  				# (change requires restart)
  #wal_sender_delay = 1s		# walsender cycle time, 1-10000 milliseconds
  #wal_keep_segments = 0		# in logfile segments, 16MB each; 0 disables
- #vacuum_defer_cleanup_age = 0	# number of xacts by which cleanup is delayed
  #replication_timeout = 60s	# in milliseconds; 0 disables
  #synchronous_standby_names = ''	# standby servers that provide sync rep
  				# comma-separated list of application_name
  				# from standby(s); '*' = all
  
  # - Standby Servers -
  
--- 194,217 ----
  # REPLICATION
  #------------------------------------------------------------------------------
  
! # - Sending Server(s) -
  
! # These settings have effect on any server that is to send replication data
  
  #max_wal_senders = 0		# max number of walsender processes
  				# (change requires restart)
  #wal_sender_delay = 1s		# walsender cycle time, 1-10000 milliseconds
  #wal_keep_segments = 0		# in logfile segments, 16MB each; 0 disables
  #replication_timeout = 60s	# in milliseconds; 0 disables
+ 
+ # - Master Server -
+ 
+ # These settings are ignored on a standby server
+ 
  #synchronous_standby_names = ''	# standby servers that provide sync rep
  				# comma-separated list of application_name
  				# from standby(s); '*' = all
+ #vacuum_defer_cleanup_age = 0	# number of xacts by which cleanup is delayed
  
  # - Standby Servers -
  
*** a/src/include/utils/guc_tables.h
--- b/src/include/utils/guc_tables.h
***************
*** 69,74 **** enum config_group
--- 69,75 ----
  	WAL_CHECKPOINTS,
  	WAL_ARCHIVING,
  	REPLICATION,
+ 	REPLICATION_SENDING,
  	REPLICATION_MASTER,
  	REPLICATION_STANDBY,
  	QUERY_TUNING,
